MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends
MyGUI::IResource Class Reference

`#include <MyGUI_IResource.h>`

Inheritance diagram for MyGUI::IResource:
[legend]

## Public Types
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
| IResource ()
virtual | ~IResource ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)

## Protected Attributes
std::string | mResourceName

## Friends
class | ResourceManager

## Detailed Description

Definition at line 23 of file MyGUI_IResource.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::IResource::Base

Definition at line 29 of file MyGUI_IResource.h.

## ◆ RTTIBase

typedef IResource MyGUI::IResource::RTTIBase

Definition at line 29 of file MyGUI_IResource.h.

## Constructor & Destructor Documentation

## ◆ IResource()

MyGUI::IResource::IResource | ( |  | ) |
| inline protected

Definition at line 48 of file MyGUI_IResource.h.

## ◆ ~IResource()

virtual MyGUI::IResource::~IResource | ( |  | ) |
| inline protected virtual

Definition at line 49 of file MyGUI_IResource.h.

## Member Function Documentation

## ◆ deserialization()

virtual void MyGUI::IResource::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| inline protected virtual

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::ResourceTrueTypeFont, MyGUI::ResourceSkin, MyGUI::ResourceLayout, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, and MyGUI::ResourceManualPointer.

Definition at line 51 of file MyGUI_IResource.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::IResource::getClassTypeName | ( |  | ) |
| inline static

Definition at line 29 of file MyGUI_IResource.h.

## ◆ getResourceName()

const std::string& MyGUI::IResource::getResourceName | ( |  | ) | const
| inline

Definition at line 32 of file MyGUI_IResource.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::IResource::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::ResourceImageSet, MyGUI::ResourceTrueTypeFont, MyGUI::ResourceSkin, MyGUI::IFont, MyGUI::ResourceLayout, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, and MyGUI::ResourceManualPointer.

Definition at line 29 of file MyGUI_IResource.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::IResource::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 29 of file MyGUI_IResource.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IResource::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::ResourceImageSet, MyGUI::ResourceTrueTypeFont, MyGUI::ResourceSkin, MyGUI::IFont, MyGUI::ResourceLayout, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, and MyGUI::ResourceManualPointer.

Definition at line 29 of file MyGUI_IResource.h.

## ◆ setResourceName()

void MyGUI::IResource::setResourceName | ( | const std::string & | _value | ) |
| inline

Definition at line 37 of file MyGUI_IResource.h.

## Friends And Related Function Documentation

## ◆ ResourceManager

friend class ResourceManager
| friend

Definition at line 27 of file MyGUI_IResource.h.

## Field Documentation

## ◆ mResourceName

std::string MyGUI::IResource::mResourceName
| protected

Definition at line 57 of file MyGUI_IResource.h.

The documentation for this class was generated from the following file:

- MyGUI_IResource.h